> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Airwallex Integrations

> Lists the org's Airwallex account connections, excluding retired ones unless requested.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/list-airwallex-integrations
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/list-airwallex-integrations:
    post:
      operationId: listAirwallexIntegrations
      summary: List Airwallex Integrations
      x-toku-required-scope: integrations:read
      description: >-
        Lists the org's Airwallex account connections, excluding retired ones
        unless requested.


        Required scope: `integrations:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListAirwallexIntegrationsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAirwallexIntegrationsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListAirwallexIntegrationsRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        includeRetired:
          type: boolean
          default: false
      required:
        - includeRetired
    ListAirwallexIntegrationsResponse:
      type: array
      items:
        type: object
        properties:
          airwallexIntegrationID:
            type:
              - string
              - 'null'
          displayName:
            type:
              - string
              - 'null'
          isDefaultForPayouts:
            type:
              - boolean
              - 'null'
          lifecycle:
            type:
              - string
              - 'null'
          exists:
            type:
              - boolean
              - 'null'
          isEnabled:
            type:
              - boolean
              - 'null'
          isConfigured:
            type:
              - boolean
              - 'null'
          environment:
            type:
              - string
              - 'null'
          clientID:
            type:
              - string
              - 'null'
          accountID:
            type:
              - string
              - 'null'
          loginAs:
            type:
              - string
              - 'null'
          fundingCurrency:
            type:
              - string
              - 'null'
          holdsTransfersForApproval:
            type:
              - boolean
              - 'null'
          hasApiKey:
            type:
              - boolean
              - 'null'
          hasWebhookSecret:
            type:
              - boolean
              - 'null'
          beneficiaryContactCount:
            type:
              - number
              - 'null'
          beneficiaryLastSyncedAt:
            type:
              - 'null'
              - 'null'
          beneficiarySyncInProgress:
            type:
              - boolean
              - 'null'
          updatedAt:
            type:
              - string
              - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
